Bug 180045 - upgrade of nagios rpm caused nagios.cfg to vansish
Summary: upgrade of nagios rpm caused nagios.cfg to vansish
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-05 00:48 UTC by Paul Wouters
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-05 18:23:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Wouters 2006-02-05 00:48:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
nagios.cfg got saved as nagios.cfg.rpmsave, but no new nagios.cfg was installed, only nagios.cfg.sample.
It should instead write a nagios.cfg.rpmnew file and leave the nagios.cfg file alone.

Version-Release number of selected component (if applicable):
nagios-2.0-0.1.rc2.fc4

How reproducible:
Didn't try

Steps to Reproduce:
1.install nagios
2.upgrade nagios
3.
  

Additional info:

Comment 1 Paul Wouters 2006-02-05 00:51:23 UTC
the same happened with:
cgi.cfg.rpmsave
misccommands.cfg.rpmsave
resource.cfg.rpmsave
checkcommands.cfg.rpmsave

Comment 2 Paul Wouters 2006-02-05 00:57:32 UTC
additionally: restarting gave me:
Can't open perl script "/usr/bin/p1.pl": No such file or directory


Comment 3 Mike McGrath 2006-02-05 02:00:21 UTC
Hey Paul, what version did you upgrade from and where did you get it?

Comment 4 Paul Wouters 2006-02-05 17:15:16 UTC
not sure which version it was, but it was yours as linked on the Fedora Extras list.

Comment 5 Mike McGrath 2006-02-05 18:19:08 UTC
My version doesn't actually create any config files, only the samples.  By
upgrading from a Nagios package that had nagios.cfg to my package that only has
nagios.cfg-sample the nagios.cfg and other such *.cfg's were uninstalled by the
previous package (which would have been from some other repository).  Future
upgrades from my package to my package won't cause this problem.  In fact I
submitted an update yesterday (updates for Apache configs for Nagios) that we
can verify this against.

Comment 6 Mike McGrath 2006-02-05 18:21:04 UTC
Forgot about the p1.pl part of this but, I'll be looking into that.

Comment 7 Mike McGrath 2006-02-05 18:23:25 UTC
My package has this in /usr/sbin.  My sample-configs correctly define it, just
change the line in your nagios.cfg from:

p1_file=/usr/bin/p1.pl

to

p1_file=/usr/sbin/p1.pl



Comment 8 Paul Wouters 2006-02-06 17:26:38 UTC
Downloading Packages:
(1/1): nagios-2.0-0.2.rc2 100% |=========================| 2.1 MB    00:31
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : nagios                                                
[1/2]warning: /etc/httpd/conf.d/nagios.conf created as
/etc/httpd/conf.d/nagios.conf.rpmnew
  Updating  : nagios                       ######################### [1/2]
  Cleanup   : nagios                       ######################### [2/2]

Updated: nagios.i386 0:2.0-0.2.rc2.fc4
Complete!

ok, thanks. closing bug.


Note You need to log in before you can comment on or make changes to this bug.